using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp19
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int x = int.Parse(Console.ReadLine());
            int y = int.Parse(Console.ReadLine());
            string z = "";
            while(x>0&&y>0)
            {
                if (x % 10 > y % 10)
                {
                    z = x % 10 + z;
                }
                else if (x % 10 < y % 10)
                {
                    z = y % 10 + z;
                }
                else
                {
                    z =x%10+z ;
                    z = y % 10 + z;
                }
                x /= 10;
                y /= 10;
            }
          
            if (x > 0)
            {
                z = x % 10 + z;
            }
            else if(y>0)
            {
                z = y % 10 + z;               
            }
            Console.WriteLine(z);
           
        }
    }
}